[package]
name = "pixelfed_batch_uploader"
version = "1.2.0"
edition = "2021"

[build]
rustflags = ["--out-dir", "target/output"]

[dependencies]
serde = { version = "1.0.218", features = ["derive"] }
serde_json = "1.0.140"
reqwest = { version = "0.12", features = ["blocking", "json", "multipart", "stream"] }
tokio = { version = "1.0", features = ["full"] }
base64 = "0.22.1"
clap = { version = "4.5.3", features = ["derive"] }
log = "0.4"
env_logger = "0.11"
